# $Revision: 1.20.2.6 $, $Date: 2003/04/23 15:55:29 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	SpamAssassin
Summary:	A spam filter for email which can be invoked from mail delivery agents
Summary(pl):	Filtr antyspamowy, przeznaczony dla programw dostarczajcych poczt (MDA)
Name:		spamassassin
Version:	2.53
Release:	2
License:	GPL v1+ or Artistic
Group:		Applications/Mail
Source0:	http://spamassassin.org/released/%{pdir}-%{pnam}-%{version}.tar.gz
Source1:	%{name}.sysconfig
Patch0:		%{name}-rc-script.patch
URL:		http://spamassassin.org/
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	openssl-devel >= 0.9.6j
%if %{?_with_tests:1}0
BuildRequires:	perl-HTML-Parser >= 3
# are these really needed?
BuildRequires:	perl-MailTools
BuildRequires:	perl-Mail-Audit
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-tools
%endif
Prereq:		/sbin/chkconfig
Requires:	perl-Mail-SpamAssassin >= %{version}
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	SpamAssassin

%define		_noautoreq	'perl(Razor2::Client::Agent)' 'perl(Razor::Agent)' 'perl(Razor::Client)' 'perl(DBI)'

%description
SpamAssassin provides you with a way to reduce if not completely
eliminate Unsolicited Commercial Email (SPAM) from your incoming
email. It can be invoked by a MDA such as sendmail or postfix, or can
be called from a procmail script, .forward file, etc. It uses a
genetic-algorithm evolved scoring system to identify messages which
look spammy, then adds headers to the message so they can be filtered
by the user's mail reading software. This distribution includes the
spamd/spamc components which create a server that considerably speeds
processing of mail.

%description -l pl
SpamAssassin udostpnia Ci moliwo zredukowania, jeli nie
kompletnego wyeliminowania Niezamawianej Komercyjnej Poczty
(Unsolicited Commercial Email, spamu) z Twojej poczty. Moe by
wywoywany z MDA, np. Sendmaila czy Postfixa, lub z pliku ~/.forward
itp. Uywa oglnego algorytmu oceniania w celu identyfikacji
wiadomoci, ktre wygldaj na SPAM, po czym dodaje nagwki do
wiadomoci, umoliwiajc filtrowanie przez oprogramowanie uytkownika.
Ta dystrybucja zawiera programy spamd/spamc, umoliwiajce
uruchomienie serwera, co znacznie przyspieszy proces przetwarzania
poczty.

%package tools
Summary:	Miscleanous tools for SpamAssassin
Summary(pl):	Przerne narzdzia zwizane z SpamAssassin
Group:		Applications/Mail
Obsoletes:	SpamAssassin-tools

%description tools
Miscleanous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%description tools -l pl
Przerne narzdzia, dystrybuowane razem z SpamAssassin. Zobacz
/usr/share/doc/spamassassin-tools-*/.

%package spamd
Summary:	spamd - daemonized version of spamassassin
Summary(pl):	spamd - spamassassin w postaci demona
Group:		Applications/Mail

%description spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%description spamd -l pl
Spamd jest "demoniczn" wersj spamassassina. Jego zadaniem jest
poprawa wydajnoci automatycznego sprawdzania poczty.

Spamd powinien by uywany wesp ze "spamc", ktry jest szybkim i
wydajnym programem klienckim.

%package spamc
Summary:	spamc - client for spamd
Summary(pl):	spamc - klient dla spamd
Group:		Applications/Mail

%description spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%description spamc -l pl
Spamc powinien by uywany zamiast "spamassassina" w skryptach
przetwarzajcych poczt. Zczytuje poczt ze STDIN, kolejkuje j a
nastpnie przekazuje spamd'owi, odczytuje wynik i podaje go na STDOUT.
Spamc stara si nie obcia zbytnio procesora podczas adowania,
dziki czemu powinien dziaa szybciej ni sam spamassassin.

%package -n perl-Mail-SpamAssassin
Summary:	Mail::SpamAssassin - SpamAssassin e-mail filter libraries
Summary(pl):	Mail::SpamAssassin - biblioteki filtru poczty SpamAssassin
Group:		Development/Languages/Perl
Requires:	perl-HTML-Parser >= 3

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a Mail::Audit plugin to identify spam using text
analysis and several internet-based realtime blacklists. Using its
rule base, it uses a wide range of heuristic tests on mail headers and
body text to identify ``spam'', also known as unsolicited commercial
email. Once identified, the mail can then be optionally tagged as spam
for later filtering using the user's own mail user-agent application.

%description -n perl-Mail-SpamAssassin -l pl
Mail::SpamAssassin jest pluginem dla Mail::Audit, sucym do
identyfikacji spamu przy uyciu analizy zawartoci i/lub internetowych
czarnych list. Do zidentyfikowania jako ,,spam'' stosuje szeroki
zakres testw heurystycznych na nagwkach i treci, posikujc si
stworzon wczeniej baz regu. Po zidentyfikowaniu, poczta moe by
oznaczona jako spam w celu pniejszego wyfiltrowania, np. przy uyciu
aplikacji do czytania poczty.

%prep -q
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir} \
	RUN_RAZOR1_TESTS=0 \
	RUN_RAZOR2_TESTS=0
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/mail/spamassassin}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	SYSCONFDIR=$RPM_BUILD_ROOT/etc/mail/spamassassin \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/spamassassin

install rules/local.cf $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin

# shouldn't this script be called `spamd' instead?
install spamd/pld-rc-script.sh $RPM_BUILD_ROOT/etc/rc.d/init.d/spamassassin

rm -f spamd/{*.sh,*.conf,spam*} contrib/snp.tar.gz

%post spamd
/sbin/chkconfig --add spamassassin
if [ -f /var/lock/subsys/spamassassin ]; then
	/etc/rc.d/init.d/spamassassin restart 1>&2
else
	echo 'Run "/etc/rc.d/init.d/spamassassin start" to start the spamd daemon.'
fi

%preun spamd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/spamassassin ]; then
		/etc/rc.d/init.d/spamassassin stop 1>&2
	fi
	/sbin/chkconfig --del spamassassin
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes COPYRIGHT INSTALL README TRADEMARK USAGE
%doc procmailrc.example
%attr(755,root,root) %{_bindir}/sa-learn
%attr(755,root,root) %{_bindir}/spamassassin
%{_mandir}/man1/sa-learn*
%{_mandir}/man1/spamassassin*

%files tools
%defattr(644,root,root,755)
%doc sql tools masses contrib

%files spamd
%defattr(644,root,root,755)
%doc spamd/*
%attr(754,root,root) /etc/rc.d/init.d/spamassassin
%attr(600,root,root) %config(noreplace) /etc/sysconfig/spamassassin
%attr(755,root,root) %{_bindir}/spamd
%{_mandir}/man1/spamd*

%files spamc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spamc
%{_mandir}/man1/spamc*

%files -n perl-Mail-SpamAssassin
%defattr(644,root,root,755)
%doc sample-nonspam.txt sample-spam.txt
%dir %{_sysconfdir}/mail/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin/*
%dir %{_datadir}/spamassassin
%config(noreplace) %{_datadir}/spamassassin/*
%{perl_sitelib}/Mail/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: spamassassin.spec,v $
Revision 1.20.2.6  2003/04/23 15:55:29  ankry
- added BR: perl-Mail-Audit
- rel. 2

Revision 1.20.2.5  2003/04/16 12:32:46  ankry
- cleaner disabling Razor tests (from head)

Revision 1.20.2.4  2003/04/16 11:51:05  ankry
- make non-interactive
- more cleaning

Revision 1.20.2.3  2003/04/16 11:36:08  ankry
- merge from head: updated to 2.53
- BR: new perl.prov
- cleaning

Revision 1.20.2.2  2003/03/25 15:35:05  areq
- 2.52

Revision 1.20.2.1  2003/03/22 11:32:33  areq
- 2.51, STBR to RA updates general

Revision 1.20  2003/02/01 11:54:25  radek
- version 2.44 (bugfixes)

Revision 1.19  2002/10/18 11:51:20  ankry
- fixed DESTDIR build problems, release 2

Revision 1.18  2002/10/15 18:25:35  radek
- version 2.43 (bugfixes; author says: ,,rock solid'' ;-)

Revision 1.17  2002/10/06 11:11:53  kloczek
- release 1.

Revision 1.16  2002/10/05 14:36:58  ppv
- update to new version

Revision 1.15  2002/09/19 18:02:16  kloczek
- release 7: pl translations for spamc and spamd (by Krzysztof Pobieynski
  <ppv@wiedzmin.org>)

Revision 1.14  2002/09/17 14:33:17  kloczek
- fixed %%attr().

Revision 1.13  2002/09/17 14:15:26  kloczek
- release 6,
- clanups and adapaterize spec file,
- standarize %%post script,
- separate spamd configuration in /etc/sysconfig/spamassassin file
  (by Krzysztof Pobiezynski <ppv@wiedzmin.org>).

Revision 1.12  2002/09/17 11:03:01  radek
- separate spamd and spamc
- remove HTML documentation (same as manuals)
- turned off tests
- release 5

Revision 1.11  2002/09/14 16:33:37  misiek
- add documentation; rel 4

Revision 1.10  2002/09/06 16:20:22  baggins
- moved configs and definitions into perl-Mail... module, the daemon is
  _NOT_ needed to use SpamAssassin
- release 3

Revision 1.9  2002/09/06 10:27:26  radek
- perl(DBI) is not needed in most of the configurations
- enabled tests
- release 2

Revision 1.8  2002/09/05 22:16:59  radek
- version 2.41: bugfixes

Revision 1.7  2002/09/05 12:35:02  radek
- upgraded to 2.40

Revision 1.6  2002/08/04 10:07:55  radek
- removed noautoreq perl(Net::SMTP::*), added missing local.cf,
  fixed Makefile.PL; release 5

Revision 1.5  2002/08/01 08:03:09  radek
- make spamassassin the main package
- release 4

Revision 1.4  2002/07/30 01:01:27  radek
- get rid of findbin.patch, it's not really needed; rel 3

Revision 1.3  2002/07/27 13:42:46  kloczek
- cosmetics.

Revision 1.2  2002/07/26 22:42:55  radek
- changed package names (daemon and tools, not perl-*) to lowercase for
  easy upgrade from RH: perl -pi -e 's/^(%%[a-z]+ -n SpamAssassin)/lc $1/e'
- added obsoletes
- added Summary(pl), fixed %%doc
- added %post and %%preun scripts (chkconfig) for package spamassassin
  (I'm not sure about names inconsistency: init.d/spamassassin <-> spamd)
- moved %clean before %%files, as in other perl specs
- release 2

Revision 1.1  2002/07/20 13:55:37  radek
- initial revision, rewritten from RH.

* Fri Apr 19 2002 Theo Van Dinter <felicity@kluge.net>
- Updated for 2.20 release
- made /etc/mail/spamassassin a config directory so local.cf doesn't get wiped out
- added a patch to remove findbin stuff

* Wed Feb 27 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.1 release

* Sat Feb 02 2002 Theo Van Dinter <felicity@kluge.net>
- Updates for 2.01 release
- Fixed rc file
- RPM now buildable as non-root
- fixed post_service errors
- fixed provides to include perl modules
- use file find instead of manually specifying files

* Tue Jan 15 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.0 release

* Wed Dec 05 2001 Craig Hughes <craig@hughes-family.org>
- Updated for final 1.5 distribution.

* Sun Nov 18 2001 Craig Hughes <craig@hughes-family.org>
- first version of rpm.
